////////////////////////////////////////////////////////////////////////////////
// ModelViewNormalTransformer.h
// Header for matrix operations
// Copyright Björn Ganster, written in 2020 (Corona year 1)
////////////////////////////////////////////////////////////////////////////////

#include "BGBase.h"
#include "Matrix.h"

#pragma once

class ModelViewNormalTransformer: public VirtualClass {
public:
	// Constructor
	ModelViewNormalTransformer();

	// Destructor
	~ModelViewNormalTransformer();

	void scale(double sx, double sy, double sz);
	void translate(double tx, double ty, double tz);
	void rotate(double angle, double ax, double ay, double az);
private:
	Matrix mModelView, mNormal;
};
